-- if the table exists, drop it so we can reload it
DROP TEMPORARY TABLE IF EXISTS bigS70;

-- create the table with the following fields
CREATE TEMPORARY TABLE bigS70 (
	filename VARCHAR(32),
	data_loc VARCHAR(100),
 	file_size_bytes INT(32),
	project_id VARCHAR(10),
	hdrver VARCHAR(10),
	survey VARCHAR(10),
	telescope VARCHAR(16),
 	site VARCHAR(8),    
	src_name VARCHAR(16),
 	date VARCHAR(16),   
 	ut VARCHAR(16),   
 	MJD DECIMAL(32,26),
	raj VARCHAR(20),
	decj VARCHAR(20),
	rajd DOUBLE,
	decjd DOUBLE,
	gl DOUBLE,
	gb DOUBLE,
	bmaj FLOAT,
	bmin FLOAT,
	bpa FLOAT,
	dm DECIMAL(16,10),
	period DECIMAL(32,24),
	cnfg VARCHAR(128),
 	inst VARCHAR(32),
	data_type VARCHAR(128),
 	rcvr VARCHAR(16),   
 	obsrvr VARCHAR(32),   
        obsfreq DECIMAL(32,16),
	chanbw DECIMAL(16,6),
 	nchan INT(6),        
	npol INT(6),
 	nbin INT(6),        
 	nsub INT(6),        
 	scanlen DECIMAL(32,20),
 	tsamp FLOAT,       
	nbits tinyint(3) unsigned,  
	nbeam tinyint(3) unsigned,
	PRIMARY KEY (filename, data_loc)
);

LOAD DATA LOCAL
INFILE "/pulsar/archive13/S70V/summary_S70.csv"
INTO TABLE bigS70
FIELDS TERMINATED BY ","
OPTIONALLY ENCLOSED BY "\""
IGNORE 1 LINES  -- this ignores the first line in the csv file which contains the column headers.
(filename,data_loc,file_size_bytes,project_id,hdrver,survey,telescope,site,src_name,date,ut,MJD,raj,decj,rajd,decjd,gl,gb,bmaj,bmin,bpa,dm,period,cnfg,inst,data_type,rcvr,obsrvr,obsfreq,chanbw,nchan,npol,nbin,nsub,scanlen,tsamp,nbits,nbeam);
